View Issue Details

IDProjectCategoryView StatusLast Update
0028576Open CASCADEOCCT:Modeling Algorithmspublic2017-09-29 16:25
Reporteremv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.1.0 
Target Version7.2.0Fixed in Version7.2.0 
Summary0028576: Get rid of the TopOpeBRep* algorithms in TKFeat toolkit
DescriptionIn view of the removal of the old Boolean Operations it is necessary to remove all dependencies on TopOpeBRep* algorithms.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0028575 assignedemv Removal of the old Boolean Operations algorithm - BRepAlgo_BooleanOperation 
related to 0004282 closedbugmaster Replacing old BOP to new one in BRepFeat_MakeLinearForm. 

Activities

git

2017-03-20 16:56

administrator   ~0064540

Branch CR28576 has been created by emv.

SHA-1: 42a4e22ebbbd1f7f302227c6d864d88ad656fae5


Detailed log of new commits:

Author: emv
Date: Mon Mar 20 16:54:37 2017 +0300

    0028576: Get rid of the TopOpeBRep* algorithms in TKFeat toolkit
    
    The TKFeat toolkit has been cleared from the usage of TopOpeBRep* classes.

emv

2017-03-20 16:57

developer   ~0064541

Dear Mikhail, could you please review the git branch CR28576?

msv

2017-03-20 18:26

developer   ~0064545

Remarks:
dox\dev_guides\upgrade\upgrade.md
- move description of removal of LocOpe_HBuilder into subsection "upgrade_710_removed Removed features".

git

2017-03-21 07:48

administrator   ~0064560

Branch CR28576 has been updated forcibly by emv.

SHA-1: ef8ed76b47089b14bb5006d60a6a89c2d7a7d35d

emv

2017-03-21 07:49

developer   ~0064561

Done, please review.

msv

2017-03-21 09:50

developer   ~0064565

Reviewed.

apv

2017-03-22 13:08

tester   ~0064614

Dear BugMaster,

Branch CR28576 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ef8ed76b47089b14bb5006d60a6a89c2d7a7d35d

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1200

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93116670 / 92541211 [+0.62%]
Total CPU difference: 20245.220000000143 / 20187.16000000011 [+0.29%]

Testing on Windows:
Total MEMORY difference: 57776197 / 57782265 [-0.01%]
Total CPU difference: 18724.690829298626 / 18782.551600198512 [-0.31%]

git

2017-03-23 14:34

administrator   ~0064649

Branch CR28576_1 has been created by emv.

SHA-1: d2d6449f923b30ccac5ff77b037419bfe729c5ef


Detailed log of new commits:

Author: emv
Date: Mon Mar 20 16:54:37 2017 +0300

    0028576: Get rid of the TopOpeBRep* algorithms in TKFeat toolkit
    
    The TKFeat toolkit has been cleared from the usage of TopOpeBRep* classes.

git

2017-05-12 11:36

administrator   ~0065933

Branch CR28576 has been deleted by kgv.

SHA-1: ef8ed76b47089b14bb5006d60a6a89c2d7a7d35d

git

2017-05-12 11:36

administrator   ~0065934

Branch CR28576_1 has been deleted by kgv.

SHA-1: d2d6449f923b30ccac5ff77b037419bfe729c5ef

Related Changesets

occt: master f1b2eddc

2017-03-20 13:54:37

emv


Committer: bugmaster Details Diff
0028576: Get rid of the TopOpeBRep* algorithms in TKFeat toolkit

The TKFeat toolkit has been cleared from the usage of TopOpeBRep* classes.
Affected Issues
0028576
mod - dox/dev_guides/upgrade/upgrade.md Diff File
mod - src/BRepFeat/BRepFeat_Form.cxx Diff File
mod - src/BRepFeat/BRepFeat_Form.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff File
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff File
mod - src/BRepFeat/BRepFeat_RibSlot.hxx Diff File
mod - src/LocOpe/FILES Diff File
mod - src/LocOpe/LocOpe.hxx Diff File
rm - src/LocOpe/LocOpe_HBuilder.cxx Diff File
rm - src/LocOpe/LocOpe_HBuilder.hxx Diff File
rm - src/LocOpe/LocOpe_HBuilder.lxx Diff File
mod - src/TopTrans/TopTrans_SurfaceTransition.cxx Diff File

Issue History

Date Modified Username Field Change
2017-03-20 14:53 emv New Issue
2017-03-20 14:53 emv Assigned To => msv
2017-03-20 14:53 emv Relationship added related to 0028575
2017-03-20 14:54 emv Assigned To msv => emv
2017-03-20 14:54 emv Status new => assigned
2017-03-20 16:35 msv Description Updated
2017-03-20 16:56 git Note Added: 0064540
2017-03-20 16:57 emv Note Added: 0064541
2017-03-20 16:57 emv Assigned To emv => msv
2017-03-20 16:57 emv Status assigned => resolved
2017-03-20 16:57 emv Steps to Reproduce Updated
2017-03-20 18:26 msv Note Added: 0064545
2017-03-20 18:26 msv Assigned To msv => emv
2017-03-20 18:26 msv Status resolved => assigned
2017-03-21 07:48 git Note Added: 0064560
2017-03-21 07:49 emv Note Added: 0064561
2017-03-21 07:49 emv Assigned To emv => msv
2017-03-21 07:49 emv Status assigned => resolved
2017-03-21 09:50 msv Note Added: 0064565
2017-03-21 09:50 msv Assigned To msv => bugmaster
2017-03-21 09:50 msv Status resolved => reviewed
2017-03-21 15:08 apv Assigned To bugmaster => apv
2017-03-22 12:40 apv Test case number => Not needed
2017-03-22 13:08 apv Note Added: 0064614
2017-03-22 13:08 apv Assigned To apv => bugmaster
2017-03-22 13:08 apv Status reviewed => tested
2017-03-23 14:34 git Note Added: 0064649
2017-03-24 15:53 bugmaster Changeset attached => occt master f1b2eddc
2017-03-24 15:53 bugmaster Status tested => verified
2017-03-24 15:53 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065933
2017-05-12 11:36 git Note Added: 0065934
2017-05-28 17:56 abv Relationship added related to 0004282
2017-09-29 16:18 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed